Debian Bug report logs - #560170
bzip2-old needed to reproduce

version graph

Package: pristine-tar; Maintainer for pristine-tar is Joey Hess <joeyh@debian.org>; Source for pristine-tar is src:pristine-tar.

Reported by: Goswin von Brederlow <goswin-v-b@web.de>

Date: Wed, 9 Dec 2009 13:03:02 UTC

Severity: normal

Merged with 525128, 571240

Found in versions pristine-tar/0.17, pristine-tar/1.00

Fixed in version pristine-tar/1.03

Done: Joey Hess <joeyh@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, goswin-v-b@web.de, Joey Hess <joeyh@debian.org>:
Bug#560170; Package pristine-tar. (Wed, 09 Dec 2009 13:03:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Goswin von Brederlow <goswin-v-b@web.de>:
New Bug report received and forwarded. Copy sent to goswin-v-b@web.de, Joey Hess <joeyh@debian.org>. (Wed, 09 Dec 2009 13:03:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Goswin von Brederlow <goswin-v-b@web.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Fails to reproduce openmpi-1.3.4.tar.bz2
Date: Wed, 09 Dec 2009 14:00:08 +0100
Package: pristine-tar
Version: 1.00
Severity: normal

Hi,

pristine-tar fails to reproduce

http://www.open-mpi.org/software/ompi/v1.3/downloads/openmpi-1.3.4.tar.bz2
MD5: 	978c29f3b671856daa0fc67459b73e01
SHA1: 	f62247e80296509d22b34bd4db1c230422210ad3

I don't know how that file was generated but it doesn't seem to be
plain bzip2, pbzip2 nor lbzip2.

MfG
	Goswin

-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (499, 'unstable'), (2, 'experimental'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.31.5 (SMP w/2 CPU cores)
Locale: LANG=C, LC_CTYPE=C (charmap=ANSI_X3.4-1968)
Shell: /bin/sh linked to /bin/bash

Versions of packages pristine-tar depends on:
ii  libc6                  2.10.1-7          GNU C Library: Shared libraries
ii  perl-modules           5.10.1-7          Core Perl modules
ii  xdelta                 1.1.3-9           A diff utility which works with bi
ii  zlib1g                 1:1.2.3.3.dfsg-15 compression library - runtime

Versions of packages pristine-tar recommends:
ii  bzip2                         1.0.5-3    high-quality block-sorting file co
ii  pbzip2                        1.0.5-1    parallel bzip2 implementation

pristine-tar suggests no packages.

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#560170; Package pristine-tar. (Wed, 09 Dec 2009 20:33:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Joey Hess <joeyh@debian.org>:
Extra info received and forwarded to list. (Wed, 09 Dec 2009 20:33:10 GMT) Full text and rfc822 format available.

Message #10 received at 560170@bugs.debian.org (full text, mbox):

From: Joey Hess <joeyh@debian.org>
To: Goswin von Brederlow <goswin-v-b@web.de>, 560170@bugs.debian.org
Subject: Re: Bug#560170: Fails to reproduce openmpi-1.3.4.tar.bz2
Date: Wed, 9 Dec 2009 15:30:38 -0500
[Message part 1 (text/plain, inline)]
Goswin von Brederlow wrote:
> pristine-tar fails to reproduce
> 
> http://www.open-mpi.org/software/ompi/v1.3/downloads/openmpi-1.3.4.tar.bz2
> MD5: 	978c29f3b671856daa0fc67459b73e01
> SHA1: 	f62247e80296509d22b34bd4db1c230422210ad3
> 
> I don't know how that file was generated but it doesn't seem to be
> plain bzip2, pbzip2 nor lbzip2.

Added to my test suite. I tried a few things (bzip2 -s for example),
but no luck reproducing this file yet.

That makes two bzip2 files that it's known to fail on. (Other is
polymake.) Maybe I should think about a pristine-gz style fallback
to a binary delta.

-- 
see shy jo
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Joey Hess <joeyh@debian.org>:
Bug#560170; Package pristine-tar. (Fri, 11 Dec 2009 00:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Ersek, Laszlo" <lacos@caesar.elte.hu>:
Extra info received and forwarded to list. Copy sent to Joey Hess <joeyh@debian.org>. (Fri, 11 Dec 2009 00:24:03 GMT) Full text and rfc822 format available.

Message #15 received at 560170@bugs.debian.org (full text, mbox):

From: "Ersek, Laszlo" <lacos@caesar.elte.hu>
To: 560170@bugs.debian.org
Subject: bz2 was produced by an old bzip2 version
Date: Fri, 11 Dec 2009 00:28:57 +0100 (CET)
The archive was compressed with an old version of bzip2.

$ wget -q -i - <<EOT
http://www.open-mpi.org/software/ompi/v1.3/downloads/openmpi-1.3.4.tar.bz2
http://snapshot.debian.net/archive/2005/03/13/debian/pool/main/b/bzip2-old/bzip2-old_0.9.5d.orig.tar.gz
EOT

$ printf '978c29f3b671856daa0fc67459b73e01  openmpi-1.3.4.tar.bz2\n' \
  | md5sum -c
$ tar xzf bzip2-old_0.9.5d.orig.tar.gz
$ (cd bzip2-0.9.5d && make)
$ bzcat openmpi-1.3.4.tar.bz2 \
  | bzip2-0.9.5d/bzip2 \
  | cmp - openmpi-1.3.4.tar.bz2

Browsing the upstream changelog, version 1.0 -- coming right after 0.9.5d 
-- can be suspected to have introduced the current format:

* Minor sorting enhancements from my DCC2000 paper.

http://doi.ieeecomputersociety.org/10.1109/DCC.2000.838157

Cheers,
lacos




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#560170; Package pristine-tar. (Fri, 11 Dec 2009 20:33:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Joey Hess <joeyh@debian.org>:
Extra info received and forwarded to list. (Fri, 11 Dec 2009 20:33:05 GMT) Full text and rfc822 format available.

Message #20 received at 560170@bugs.debian.org (full text, mbox):

From: Joey Hess <joeyh@debian.org>
To: "Ersek, Laszlo" <lacos@caesar.elte.hu>, 560170@bugs.debian.org
Subject: Re: Bug#560170: bz2 was produced by an old bzip2 version
Date: Fri, 11 Dec 2009 15:31:01 -0500
[Message part 1 (text/plain, inline)]
Ersek, Laszlo wrote:
> The archive was compressed with an old version of bzip2.

Thanks much for tracking that down. polymake-2.9.6.tar.bz2 was also
produced by that same old version.

Eventually it's likely that pristine-tar will need to include an
emulator for old/unusual versions of all three tools (tar, gzip (already
done), bzip2). Unless we find a lot more of these, I feel the time is not
yet right to do that for bzip2 though.

BTW, if you enjoy the detective work of tracking these down, check out
the 'testsuite' branch of pristine-tar's git repo for the full
collection of files it is not yet able to reproduce w/o deltas.

-- 
see shy jo
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Joey Hess <joeyh@debian.org>:
Bug#560170; Package pristine-tar. (Fri, 11 Dec 2009 22:48:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Ersek, Laszlo" <lacos@caesar.elte.hu>:
Extra info received and forwarded to list. Copy sent to Joey Hess <joeyh@debian.org>. (Fri, 11 Dec 2009 22:48:05 GMT) Full text and rfc822 format available.

Message #25 received at 560170@bugs.debian.org (full text, mbox):

From: "Ersek, Laszlo" <lacos@caesar.elte.hu>
To: support@gzip.org
Cc: dugsong@arbor.net, 560170@bugs.debian.org
Subject: bug in documentation of extra field ID's
Date: Fri, 11 Dec 2009 23:45:20 +0100 (CET)
[Message part 1 (text/plain, inline)]
Dear gzip Maintainers,

from [0]:

  GS (0x1D, 0x53) : gzsig
                      http://www.monkey.org/~dugsong/gzsig-0.1.tar.gz
                      Dug Song <dugsong@arbor.net>

The hex description is wrong. 0x1D is the "GS" (group separator) character 
in ASCII, but the character used in the extra field ID is simply "G" 
(0x47).

gzsig-0.1/gzsig.c:28:#define GZSIG_ID           "GS"

As an example, please see the attached file. (Less than 20K, so please 
excuse me for attaching it.)

Cheers,
lacos

[0] http://www.gzip.org/format.txt
[libbsd-arc4random-perl_1.3.orig.tar.gz (application/octet-stream, ATTACHMENT)]

Information forwarded to debian-bugs-dist@lists.debian.org, Joey Hess <joeyh@debian.org>:
Bug#560170; Package pristine-tar. (Sat, 12 Dec 2009 02:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Ersek, Laszlo" <lacos@caesar.elte.hu>:
Extra info received and forwarded to list. Copy sent to Joey Hess <joeyh@debian.org>. (Sat, 12 Dec 2009 02:03:03 GMT) Full text and rfc822 format available.

Message #30 received at 560170@bugs.debian.org (full text, mbox):

From: "Ersek, Laszlo" <lacos@caesar.elte.hu>
To: 560170@bugs.debian.org
Subject: a bit of digging
Date: Sat, 12 Dec 2009 03:00:15 +0100 (CET)
[Message part 1 (text/plain, inline)]
On Fri, 11 Dec 2009, Joey Hess wrote:

> BTW, if you enjoy the detective work of tracking these down, check out 
> the 'testsuite' branch of pristine-tar's git repo for the full 
> collection of files it is not yet able to reproduce w/o deltas.

First I went for the low-hanging fruit in 
pristine-tar-2e93c8baafb3d075a2bdf592c3deb7356fbfda37, namely "gzip -t -v 
*.gz". gzip handled 140 of 149 files with a simple OK, the remaining 9 
files can be categorized like this:

a) "trailing zero bytes ignored":

11e1e4ce71e8223ff1b40855c3adef899255eb50  ndoc_1.3.1.orig.tar.gz
8616ed97e7dc2e67319abfbc26a49fa9cf2c9f00  resample_1.7.orig.tar.gz
893bd3ddfe59a444c577b3576abe63818244ca86  wapiti_1.1.6.orig.tar.gz
01443bd19f640708f72038e57dfdd8ee3ee0af21  xsupplicant_1.2.4.dfsg.1.orig.tar.gz

b) "extra field of 261 bytes ignored":

877ea5b283060fe0160e376ea645e8e168047ff5  openssh_5.1p1.orig.tar.gz
966f23493e372728f817d95b5879705e21572ed9  py-radix_0.5.orig.tar.gz
33f96e774e086e15a52893e18aa56ed64f3fe632  python-bcrypt_0.1.orig.tar.gz

c) "extra field of 1029 bytes ignored":

2064cad001b742b70fd2f44fdcab02c4fcb6c18d  libbsd-arc4random-perl_1.3.orig.tar.gz
126b18c1b90c99f2518dbc67d2287d17824dd160  mksh_36.2.orig.tar.gz


I have modified gzip to dump the skipped extra fields. In both affected 
categories, that is, (b) and (c), each file has the field starting with 
\x47\x53, denoting (according to the to-be-fixed description under [0]) a 
"GS" (gzsig) extra field. (Googling for gzsig makes it appear wide-spread 
on *BSD.)


Then I've remembered Paul Sladen's invaluable "pyflate" utility [1], which 
I had discovered first when I started writing lbzip2. I've re-enabled some 
commented out debug messages in the gzip_main() method, changed a _read() 
method call to read(), and commented out some other messages. (See 
attached file "pyflate-patch".)

I have recompressed all of the 149 files in a separate directory with gzip 
--best. Although file modification times were preserved during 
recompression, I suppose the git->tar export has previously lost the 
original mtimes when I've downloaded pristine-tar, because now each such 
file has mtime 2009-12-11 21:28:58 CET on my disk.

I have run the modified pyflate on both sets of files (original and 
recompressed) and compared the debug output for each pair of files.

* In the original files, the only "extra_flags" value is 0x0. In the 
recompressed files, the only "extra_flags" value is 0x2, meaning "maximum 
compression"; see 2.3.1./XFL in [2]. I believe this follows from me 
passing --best to gzip.

* In the original files, "flags" values cover the set { 0x0, 0x4 }. 0x4 
means FEXTRA (extra fields present), see 2.3.1./FLG in [2]. The affected 
files are those mentioned above in categories (b) and (c). The only 
"flags" value occurring in the recompressed files is 0x8, FNAME ("an 
original file name is present"). None of the 149 original files have the 
FNAME flag set.

* There are different "mtime" headers in the original files. Notably, the 
mtime value 0x0 occurs ("no time stamp is available"; see 2.3.1./MTIME in 
[2].) The recompressed files all have mtime 0x4b22ab8a, corresponding to 
the time stamp mentioned above:

$ echo $(( 16#4b22ab8a - $(date -d '2009-12-11 21:28:58 CET' +%s) ))
0

* In the original files, the "os_type" values cover the following set (see 
[0]):

 0x00 - FAT file system (DOS, OS/2, NT) + PKZIPW 2.50 VFAT, NTFS;
 0x06 - HPFS file system (OS/2, NT 3.x);
 0x07 - Macintosh;
 0x0b - NTFS file system (NT);
 0x0e - VFAT file system (Win95, NT);
 0xff - <invalid>.

Most notably, 0x03 (Unix) is missing; no original file was compressed on 
such an OS. Obviously, the recompressed files all have 0x03 in their 
"os_type" headers.

* These findings are probably not exhaustive.

I've attached a compressed archive of all pyflate-log files.

Cheers,
lacos

[0] http://www.gzip.org/format.txt
[1] http://www.paul.sladen.org/projects/compression/
[2] http://www.ietf.org/rfc/rfc1952.txt
[pyflate-logs.tar.bz2 (application/octet-stream, attachment)]
[pyflate-patch (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#560170; Package pristine-tar. (Sat, 12 Dec 2009 19:09:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Joey Hess <joeyh@debian.org>:
Extra info received and forwarded to list. (Sat, 12 Dec 2009 19:09:02 GMT) Full text and rfc822 format available.

Message #35 received at 560170@bugs.debian.org (full text, mbox):

From: Joey Hess <joeyh@debian.org>
To: "Ersek, Laszlo" <lacos@caesar.elte.hu>, 560170@bugs.debian.org
Subject: Re: Bug#560170: a bit of digging
Date: Sat, 12 Dec 2009 14:07:15 -0500
[Message part 1 (text/plain, inline)]
Ersek, Laszlo wrote:
> a) "trailing zero bytes ignored":
> 
> 11e1e4ce71e8223ff1b40855c3adef899255eb50  ndoc_1.3.1.orig.tar.gz
> 8616ed97e7dc2e67319abfbc26a49fa9cf2c9f00  resample_1.7.orig.tar.gz
> 893bd3ddfe59a444c577b3576abe63818244ca86  wapiti_1.1.6.orig.tar.gz
> 01443bd19f640708f72038e57dfdd8ee3ee0af21  xsupplicant_1.2.4.dfsg.1.orig.tar.gz
> 
> b) "extra field of 261 bytes ignored":
> 
> 877ea5b283060fe0160e376ea645e8e168047ff5  openssh_5.1p1.orig.tar.gz
> 966f23493e372728f817d95b5879705e21572ed9  py-radix_0.5.orig.tar.gz
> 33f96e774e086e15a52893e18aa56ed64f3fe632  python-bcrypt_0.1.orig.tar.gz
> 
> c) "extra field of 1029 bytes ignored":
> 
> 2064cad001b742b70fd2f44fdcab02c4fcb6c18d  libbsd-arc4random-perl_1.3.orig.tar.gz
> 126b18c1b90c99f2518dbc67d2287d17824dd160  mksh_36.2.orig.tar.gz

All these are in fact handled fine by binary diffs, so I've removed
these and a fair number of others that have small binary diffs from the
testsuite.

> I have modified gzip to dump the skipped extra fields. In both
> affected categories, that is, (b) and (c), each file has the field
> starting with \x47\x53, denoting (according to the to-be-fixed
> description under [0]) a "GS" (gzsig) extra field. (Googling for
> gzsig makes it appear wide-spread on *BSD.)

Ah, I was not aware of gzsig. Makes sense.

Regarding modification times, compression levels, FNAME, and OS types,
these are all handled by pristine-gz; it records that info and passes it
to zgz when recreating the gz file.

> Most notably, 0x03 (Unix) is missing; no original file was
> compressed on such an OS.

Yeah, I suspect that many of the problem files were built using gzip
clones or highly modified versions on non-unix operating systems.

-- 
see shy jo
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Joey Hess <joeyh@debian.org>:
Bug#560170; Package pristine-tar. (Wed, 16 Dec 2009 11:15:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Goswin von Brederlow <goswin-v-b@web.de>:
Extra info received and forwarded to list. Copy sent to Joey Hess <joeyh@debian.org>. (Wed, 16 Dec 2009 11:15:06 GMT) Full text and rfc822 format available.

Message #40 received at 560170@bugs.debian.org (full text, mbox):

From: Goswin von Brederlow <goswin-v-b@web.de>
To: 560170@bugs.debian.org
Subject: Re: Bug#560170: Fails to reproduce openmpi-1.3.4.tar.bz2
Date: Wed, 16 Dec 2009 12:11:07 +0100
Joey Hess <joeyh@debian.org> writes:

> Goswin von Brederlow wrote:
>> pristine-tar fails to reproduce
>> 
>> http://www.open-mpi.org/software/ompi/v1.3/downloads/openmpi-1.3.4.tar.bz2
>> MD5: 	978c29f3b671856daa0fc67459b73e01
>> SHA1: 	f62247e80296509d22b34bd4db1c230422210ad3
>> 
>> I don't know how that file was generated but it doesn't seem to be
>> plain bzip2, pbzip2 nor lbzip2.
>
> Added to my test suite. I tried a few things (bzip2 -s for example),
> but no luck reproducing this file yet.
>
> That makes two bzip2 files that it's known to fail on. (Other is
> polymake.) Maybe I should think about a pristine-gz style fallback
> to a binary delta.

How much does that help? Do those bzip2 files converge again so you
only need to store some kb delta or is basically everything after the
first difference changed?

MfG
        Goswin

PS: some fallback would indeed be nice. Openmpi releases a orig.tar.gz
too so I did fall back to that but the next case might not have that
option.




Information forwarded to debian-bugs-dist@lists.debian.org, Joey Hess <joeyh@debian.org>:
Bug#560170; Package pristine-tar. (Wed, 16 Dec 2009 13:48:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Ersek, Laszlo" <lacos@caesar.elte.hu>:
Extra info received and forwarded to list. Copy sent to Joey Hess <joeyh@debian.org>. (Wed, 16 Dec 2009 13:48:05 GMT) Full text and rfc822 format available.

Message #45 received at 560170@bugs.debian.org (full text, mbox):

From: "Ersek, Laszlo" <lacos@caesar.elte.hu>
To: 560170@bugs.debian.org
Subject: Re: Bug#560170: Fails to reproduce openmpi-1.3.4.tar.bz2
Date: Wed, 16 Dec 2009 14:45:20 +0100 (CET)
On Wed, 16 Dec 2009, Goswin von Brederlow wrote:

> How much does that help? Do those bzip2 files converge again so you
> only need to store some kb delta or is basically everything after the
> first difference changed?

I seem to remember to compare them with vbindiff, and I believe a few 
bytes matched in common positions, but most were different.

I suspect -- since the input to the two compressor versions is the same 
and the first stage RLE [0] has presumably not changed between 0.9.5d and 
1.0 -- that the input to the BWT is identical. Based on the changelog, 
something strictly after the first stage RLE could have been changed. As 
the compressed blocks are bit-aligned in the output, there is a good 
chance, in my opinion, that the two files will never resync after the 
first difference, even if some compressed blocks are otherwise identical.

This is just speculation, though.

Cheers,
lacos

[0] http://en.wikipedia.org/wiki/Bzip2#Compression_stack




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#560170; Package pristine-tar. (Wed, 16 Dec 2009 16:24:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Joey Hess <joeyh@debian.org>:
Extra info received and forwarded to list. (Wed, 16 Dec 2009 16:24:06 GMT) Full text and rfc822 format available.

Message #50 received at 560170@bugs.debian.org (full text, mbox):

From: Joey Hess <joeyh@debian.org>
To: Goswin von Brederlow <goswin-v-b@web.de>, 560170@bugs.debian.org
Subject: Re: Bug#560170: Fails to reproduce openmpi-1.3.4.tar.bz2
Date: Wed, 16 Dec 2009 11:18:25 -0500
[Message part 1 (text/plain, inline)]
Goswin von Brederlow wrote:
> How much does that help? Do those bzip2 files converge again so you
> only need to store some kb delta or is basically everything after the
> first difference changed?

In this particular case the delta is nearly 1 mb smaller than the input
file. It's still quite large, but my feeling in the case of gzip was
that it was worth adding 100 mb to the total size of deltas for all the
tar.gz files in debian to have complete coverage.

(If upstream frequently makes releases, you may not agree though.)

-- 
see shy jo
[signature.asc (application/pgp-signature, inline)]

Merged 525128 560170. Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. (Tue, 02 Mar 2010 17:51:07 GMT) Full text and rfc822 format available.

Changed Bug title to 'bzip2-old needed to reproduce' from 'Fails to reproduce openmpi-1.3.4.tar.bz2' Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. (Tue, 02 Mar 2010 17:51:07 GMT) Full text and rfc822 format available.

Merged 525128 560170 571240. Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. (Tue, 02 Mar 2010 18:00:05 GMT) Full text and rfc822 format available.

Reply sent to Joey Hess <joeyh@debian.org>:
You have taken responsibility. (Thu, 13 May 2010 06:51:09 GMT) Full text and rfc822 format available.

Notification sent to Goswin von Brederlow <goswin-v-b@web.de>:
Bug acknowledged by developer. (Thu, 13 May 2010 06:51:10 GMT) Full text and rfc822 format available.

Message #61 received at 560170-close@bugs.debian.org (full text, mbox):

From: Joey Hess <joeyh@debian.org>
To: 560170-close@bugs.debian.org
Subject: Bug#560170: fixed in pristine-tar 1.03
Date: Thu, 13 May 2010 06:48:08 +0000
Source: pristine-tar
Source-Version: 1.03

We believe that the bug you reported is fixed in the latest version of
pristine-tar, which is due to be installed in the Debian FTP archive:

pristine-tar_1.03.dsc
  to main/p/pristine-tar/pristine-tar_1.03.dsc
pristine-tar_1.03.tar.gz
  to main/p/pristine-tar/pristine-tar_1.03.tar.gz
pristine-tar_1.03_i386.deb
  to main/p/pristine-tar/pristine-tar_1.03_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 560170@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Joey Hess <joeyh@debian.org> (supplier of updated pristine-tar package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Thu, 13 May 2010 02:19:32 -0400
Source: pristine-tar
Binary: pristine-tar
Architecture: source i386
Version: 1.03
Distribution: unstable
Urgency: low
Maintainer: Joey Hess <joeyh@debian.org>
Changed-By: Joey Hess <joeyh@debian.org>
Description: 
 pristine-tar - regenerate pristine tarballs
Closes: 525128 560170 576119 579657
Changes: 
 pristine-tar (1.03) unstable; urgency=low
 .
   * zgz now includes a trimmed down copy of the compressor from bzip2 0.9.5d.
     That old version of bzip2 generated different compression results,
     and is the overwhelming reason for failures to reproduce bz2 files
     in the Debian archive. Closes: #560170, #579657, #525128, #576119
     (Special thanks to Laszlo Ersek for tracking this down.)
   * Awesome new zgz man page!
   * Faster generation of bzip2 deltas: Do not repeatedly decompress
     input file.
   * pristine-bz2 -t can be used to make it try harder to generate
     a delta. Currently, this tries pbzip2 -b with various numbers.
     Not the default because it's slow and I don't have any bzip2 files
     from the wild that were built that way.
Checksums-Sha1: 
 b61b7ad62224a08c8f3d769029ed0a6c026d3c54 1525 pristine-tar_1.03.dsc
 1cc390818a6cae8e939c7e93ce0be18eb6a585de 84629 pristine-tar_1.03.tar.gz
 6beb3a2604681b2bbeb586a75091d1f1f8f9552a 63130 pristine-tar_1.03_i386.deb
Checksums-Sha256: 
 f86c0d83ada18a423505a586e168963b6e2b27fa31ddc55fd1d6271a57ce2cbe 1525 pristine-tar_1.03.dsc
 41863401fc1151ac6315b4efe0526a2c4aa9e501d54abb3e88eee88057116971 84629 pristine-tar_1.03.tar.gz
 431bb04eb906882373cc5844b5e4a2cf730464a7aa9817aec6582c6bef50f64d 63130 pristine-tar_1.03_i386.deb
Files: 
 30152ed4ff29ab87b2c42ed10c2c1387 1525 utils optional pristine-tar_1.03.dsc
 c207ad938fe7ed9edd282710d5326e74 84629 utils optional pristine-tar_1.03.tar.gz
 e9e039ea4d27756529cc0fa7220bb08c 63130 utils optional pristine-tar_1.03_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iQIVAwUBS+uf3MkQ2SIlEuPHAQjT6Q/+IdXGPNNeHd7OlLYvjyfn1mqP+ymN1e2N
1tdozDWaH4EV1qT8zHV334HqoduVkaRHxcll3FagXjsHE096ElOX8R+/DZzWxJHy
32wrTySiAkztnX+zKRPYe0eactam4Yga+QjORqeUBNk4HrQwMWsF0kvOfrE9o0h0
seUkGYxJQ1cJb/5e5ELL5oOL7jyIEha9EVYkUy0qskMjy5rEfvAYue970xm43L9u
VkTU3HBR4lwCgGyhfVDRv4+pr5JzSmaKa535PLv9e1ZUAZ79F4uYt+99nMLIatyp
3u3Xk3Yuqeoy0CohNzCB0nEA9Pwm6JxZqpoOlNGHdNiFZBVWoPcdupdap7kMEVaL
U4iOejjcppBgoEgpdgvBb7r7aiZ2G8raek7XsW/XV0su8w9SlWnd3s68J4rYx9/p
kBZVBmv+nrbIpkG0aSU2Y5LT8i4/MP2KAEIz8ESlLfG9BFreiioqyZH4QGd8tZmP
b5+BmEIvfdq40qAQ+qOrdV37aCqDy5Mv/gTOHRjTxoTmMhnWg5VS0Kr8Y0+nYTnV
sIfhQk67OjvhlN8pu1gWKEI7bjE3F6GCSbvHMfmjpLF4VHhMVypRwt0PnharwFnj
DWk4omaPB2Xy9/ibDS3elqvrGYmPuBIBE30DaeQbD9MUh3RewiLg36D1JK5rIkcl
I1sqX9dbrXw=
=tlxm
-----END PGP SIGNATURE-----





Reply sent to Joey Hess <joeyh@debian.org>:
You have taken responsibility. (Thu, 13 May 2010 06:51:10 GMT) Full text and rfc822 format available.

Notification sent to David Bremner <bremner@unb.ca>:
Bug acknowledged by developer. (Thu, 13 May 2010 06:51:10 GMT) Full text and rfc822 format available.

Reply sent to Joey Hess <joeyh@debian.org>:
You have taken responsibility. (Thu, 13 May 2010 06:51:11 GMT) Full text and rfc822 format available.

Notification sent to Neil McGovern <neilm@debian.org>:
Bug acknowledged by developer. (Thu, 13 May 2010 06:51:11 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 20 Jun 2010 07:32:19 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 06:47:08 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.